> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-12/v10-12-0.md).

# Version 10.12.0 Changelog (2024-09-04)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

General

* Added the `shouldUseMinimumDownloads` option for `loadDocument` and `createDocument` to only download data for the current and nearby pages of a linearized PDF.
* Added support for linearized PDF files larger than 2GB.

Form Builder

* Added a deprecation warning regarding breaking changes in the upcoming major release.

Office Editor

* Improved track change performance.

### Fixes

General

* Fixed an issue where document actions were not properly updated when pages were updated.
* Fixed annotation drawing when using DocumentViewer inside scrollable content without the UI.

Annotations

* Fixed an issue with rotated ellipses where the appearance position might be incorrect on document load.
* Fixed an issue where parsing malformed custom annotation data would fail and prevent further annotations from being added.
* Fixed an issue with annotations being drawn slowly on Safari 17.
* Fixed an issue with rectangular annotations not always displaying the overlay when zoomed out.

Office Editor

* Fixed an issue where the underline button failed to toggle
* Fixed an issue where selection handles on selected images were not visible.
* Fixed an issue where the track change popup didn't work in the web component.
* Fixed an issue where some track changes were incorrectly displaying resizing controls.

Forms

* Fixed a security issue related to embedded JavaScript.
* Fixed an issue where files with embedded JS fields with whitespace-only values were being calculated incorrectly.

Content Edit

* Fixed an issue where there was no option to ignore existing content styling when using the `updateDocumentContent` API.
* Fixed an issue where in Content Edit mode some text was not editable.
* Fixed an issue where ending content edit mode by switching to other tools did not remove the text editor element.

WebViewer Server

* Fixed an issue where an error was thrown after calling the `exportAnnotations` API and interacting with measurement annotations.

## WebViewer UI

### New

Popup

* Added new design for the Document Crop popup on mobile devices.

Customize UI

* Added a new Collapsible Section component that follows WCAG guidelines for an accordion to improve accessibility and screen reader compatibility.

Accessibility

* Added hovering functionality over the tooltips in the UI.
* Added a new hotkey to close tooltips.
* Added aria-expand tags where appropriate.

Printing

* Fixed an issue where embedded printing with comments and without annotations would not work.

Layout

* Fixed an issue that annotation content overlay was offset with web component.

### Fixes

General

* Fixed an issue where loading a corrupted or encrypted document in multitab would cause a crash when using the WebComponent.
* Fixed an issue with the watermark's opacity changing on the canvas after downloading the PDF.
* Fixed an issue where a user could not multi-select the insert and replace text annotations in the notes panel.
* Fixed an issue where modals remained open after calling `loadDocument`.
* Fixed an issue where a new custom color wrongly triggered the `annotationChanged` event.
* Removed unit in Dimensions inputs for better accessibility.

Customize UI

* Improved performance of the `RibbonItem` and `RibbonGroup` elements in the Modular UI.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-12/v10-12-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
